
# Rule Set 5E Plugin

This unofficial TaleSpire companion plugin for Ruleset 5e plugin which allows making attacks, typically for AOO,
when it is not your turn in the turn order. Normally when using the turn order and it is not your turn you cannot
open radial menus on minis to activate attacks - this plugin addresses that.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.1.0: Updated for compatibility with BR Taleweaver update
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Configuration

In order for an attack be usable as a AOO attack, the ``dnd5e`` character files needs to be edited and a ``aoo`` property
added. By default ``aoo`` is false so you can leave it out of any attack that is not eligible as an AOO attack. Typically
melee attacks should have ``aoo`` set to ``true`` and cantrip attacks if the character is a warcaster.
```
{
  ...
  "attacks":[
  {
    "name":"Dagger",
    "type":"Melee",
    "range":"5/5",
    "roll":"1D20+5",
    "critrangemin":"20",
    "critmultip":"2",
	"aoo": true,
    "link":{
      "name":"Dagger",
      "roll":"1d4+3",
      "type":"piercing"
    }
  },
  ...
}
```
Any attack that is marked as AOO will show up in the plugin list when the corresponding character activates the AOO plugin.

## Usage

``Page Up`` (default key): Toggles the AOO screen on and off.
``Page Down`` (default key): Cycles though the AOO attack options (if the character has more than one).

Once you have selected the desired attack, click on the buttons to determine which target you wish to attack. The buttons
show the five nearest minis (including PCs) to the selected mini. Since AOOs are typically for melee attacks, the desired
target shoud likely be one of these five targets. Once pressed the attack proceeds as per the Ruleset 5E Plugin including
all regular checks (such as range). 



